Loading...
Searching...
No Matches
Dune::DiagonalRowVector< K, n > Class Template Reference
Common » Dense Matrix and Vector Template Library

`#include <dune/common/diagonalmatrix.hh>`

Inheritance diagram for Dune::DiagonalRowVector< K, n >:

## Public Types

typedef K | field_type
| export the type representing the field
typedef K | block_type
| export the type representing the components
typedef std::size_t | size_type
| The type used for the index access and size operation.
typedef ContainerWrapperIterator< DiagonalRowVector< K, n >, K, K & > | Iterator
| Iterator class for sequential access.
typedef Iterator | iterator
| typedef for stl compliant access
typedef ContainerWrapperIterator< DiagonalRowVectorConst< K, n >, const K, const K & > | ConstIterator
| ConstIterator class for sequential access.
typedef ConstIterator | const_iterator
| typedef for stl compliant access

## Public Member Functions

| DiagonalRowVector ()
| Constructor making uninitialized vector.
| DiagonalRowVector (K *p, int col)
| Constructor making vector with identical coordinates.
DiagonalRowVector & | operator= (const K &k)
| Assignment operator for scalar.
K & | operator[] (size_type i)
| random access
Iterator | begin ()
| begin iterator
Iterator | end ()
| end iterator
Iterator | beforeEnd ()
Iterator | beforeBegin ()
const K & | operator[] (size_type i) const
| same for read only access
bool | identical (const DiagonalRowVectorConst< K, n > &other) const
ConstIterator | begin () const
| begin ConstIterator
ConstIterator | end () const
| end ConstIterator
ConstIterator | beforeEnd () const
ConstIterator | beforeBegin () const
bool | operator== (const DiagonalRowVectorConst &y) const
| Binary vector comparison.
size_type | N () const
| number of blocks in the vector (are of size 1 here)
size_type | dim () const
| dimension of the vector space
size_type | rowIndex () const
| index of this row in surrounding matrix
const K & | diagonal () const
| the diagonal value

## Static Public Attributes

static constexpr int | dimension = n
static constexpr int | blocklevel = 1
| The number of block levels we contain.
static constexpr int | size = n
| The size of this vector.

## Protected Member Functions

DiagonalRowVector * | operator& ()
size_type | realIndex (int i) const
K * | pointer (size_type i) const

## Protected Attributes

K * | p_
size_type | row_

## Friends

template<class DiagonalMatrixType>
class | DiagonalMatrixWrapper
class | ContainerWrapperIterator< DiagonalRowVector< K, n >, K, K & >

The documentation for this class was generated from the following file:

- diagonalmatrix.hh